searchData={"items":[{"type":"module","title":"GoogleApi.VersionHistory.V1","doc":"API client metadata for GoogleApi.VersionHistory.V1.","ref":"GoogleApi.VersionHistory.V1.html"},{"type":"function","title":"GoogleApi.VersionHistory.V1.discovery_revision/0","doc":"","ref":"GoogleApi.VersionHistory.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.VersionHistory.V1.Api.Platforms","doc":"API calls for all endpoints tagged `Platforms`.","ref":"GoogleApi.VersionHistory.V1.Api.Platforms.html"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Api.Platforms.versionhistory_platforms_channels_list/4","doc":"Returns list of channels that are available for a given platform.","ref":"GoogleApi.VersionHistory.V1.Api.Platforms.html#versionhistory_platforms_channels_list/4"},{"type":"function","title":"Parameters - GoogleApi.VersionHistory.V1.Api.Platforms.versionhistory_platforms_channels_list/4","doc":"*   `connection` (*type:* `GoogleApi.VersionHistory.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The platform, which owns this collection of channels. Format: {product}/platforms/{platform}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. Optional limit on the number of channels to include in the response. If unspecified, the server will pick an appropriate default.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A page token, received from a previous `ListChannels` call. Provide this to retrieve the subsequent page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.VersionHistory.V1.Api.Platforms.html#versionhistory_platforms_channels_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.VersionHistory.V1.Api.Platforms.versionhistory_platforms_channels_list/4","doc":"*   `{:ok, %GoogleApi.VersionHistory.V1.Model.ListChannelsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.VersionHistory.V1.Api.Platforms.html#versionhistory_platforms_channels_list/4-returns"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Api.Platforms.versionhistory_platforms_channels_versions_list/4","doc":"Returns list of version for the given platform/channel.","ref":"GoogleApi.VersionHistory.V1.Api.Platforms.html#versionhistory_platforms_channels_versions_list/4"},{"type":"function","title":"Parameters - GoogleApi.VersionHistory.V1.Api.Platforms.versionhistory_platforms_channels_versions_list/4","doc":"*   `connection` (*type:* `GoogleApi.VersionHistory.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The channel, which owns this collection of versions. Format: {product}/platforms/{platform}/channels/{channel}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Filter string. Format is a comma separated list of All comma separated filter clauses are conjoined with a logical \"and\". Valid field_names are \"version\", \"name\", \"platform\", and \"channel\". Valid operators are \"<\", \"<=\", \"=\", \">=\", and \">\". Channel comparison is done by distance from stable. Ex) stable   80 becoms version > 80.0.0.0 Name and platform are filtered by string comparison. Ex) \"...?filter=channel<=beta, version >= 80 Ex) \"...?filter=version > 80, version < 81\n    *   `:orderBy` (*type:* `String.t`) - Optional. Ordering string. Valid order_by strings are \"version\", \"name\", \"platform\", and \"channel\". Optionally, you can append \" desc\" or \" asc\" to specify the sorting order. Multiple order_by strings can be used in a comma separated list. Ordering by channel will sort by distance from the stable channel (not alphabetically). A list of channels sorted in this order is: stable, beta, dev, canary, and canary_asan. Sorting by name may cause unexpected behaviour as it is a naive string sort. For example, 1.0.0.8 will be before 1.0.0.10 in descending order. If order_by is not specified the response will be sorted by version in descending order. Ex) \"...?order_by=version asc\" Ex) \"...?order_by=platform desc, channel, version\"\n    *   `:pageSize` (*type:* `integer()`) - Optional. Optional limit on the number of versions to include in the response. If unspecified, the server will pick an appropriate default.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A page token, received from a previous `ListVersions` call. Provide this to retrieve the subsequent page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.VersionHistory.V1.Api.Platforms.html#versionhistory_platforms_channels_versions_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.VersionHistory.V1.Api.Platforms.versionhistory_platforms_channels_versions_list/4","doc":"*   `{:ok, %GoogleApi.VersionHistory.V1.Model.ListVersionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.VersionHistory.V1.Api.Platforms.html#versionhistory_platforms_channels_versions_list/4-returns"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Api.Platforms.versionhistory_platforms_channels_versions_releases_list/4","doc":"Returns list of releases of the given version.","ref":"GoogleApi.VersionHistory.V1.Api.Platforms.html#versionhistory_platforms_channels_versions_releases_list/4"},{"type":"function","title":"Parameters - GoogleApi.VersionHistory.V1.Api.Platforms.versionhistory_platforms_channels_versions_releases_list/4","doc":"*   `connection` (*type:* `GoogleApi.VersionHistory.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The version, which owns this collection of releases. Format: {product}/platforms/{platform}/channels/{channel}/versions/{version}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Filter string. Format is a comma separated list of All comma separated filter clauses are conjoined with a logical \"and\". Valid field_names are \"version\", \"name\", \"platform\", \"channel\", \"fraction\" \"starttime\", and \"endtime\". Valid operators are \"<\", \"<=\", \"=\", \">=\", and \">\". Channel comparison is done by distance from stable. must be a valid channel when filtering by channel. Ex) stable   80 becoms version > 80.0.0.0 When filtering by starttime or endtime, string must be in RFC 3339 date string format. Name and platform are filtered by string comparison. Ex) \"...?filter=channel<=beta, version >= 80 Ex) \"...?filter=version > 80, version < 81 Ex) \"...?filter=starttime>2020-01-01T00:00:00Z\n    *   `:orderBy` (*type:* `String.t`) - Optional. Ordering string. Valid order_by strings are \"version\", \"name\", \"starttime\", \"endtime\", \"platform\", \"channel\", and \"fraction\". Optionally, you can append \"desc\" or \"asc\" to specify the sorting order. Multiple order_by strings can be used in a comma separated list. Ordering by channel will sort by distance from the stable channel (not alphabetically). A list of channels sorted in this order is: stable, beta, dev, canary, and canary_asan. Sorting by name may cause unexpected behaviour as it is a naive string sort. For example, 1.0.0.8 will be before 1.0.0.10 in descending order. If order_by is not specified the response will be sorted by starttime in descending order. Ex) \"...?order_by=starttime asc\" Ex) \"...?order_by=platform desc, channel, startime desc\"\n    *   `:pageSize` (*type:* `integer()`) - Optional. Optional limit on the number of releases to include in the response. If unspecified, the server will pick an appropriate default.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A page token, received from a previous `ListReleases` call. Provide this to retrieve the subsequent page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.VersionHistory.V1.Api.Platforms.html#versionhistory_platforms_channels_versions_releases_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.VersionHistory.V1.Api.Platforms.versionhistory_platforms_channels_versions_releases_list/4","doc":"*   `{:ok, %GoogleApi.VersionHistory.V1.Model.ListReleasesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.VersionHistory.V1.Api.Platforms.html#versionhistory_platforms_channels_versions_releases_list/4-returns"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Api.Platforms.versionhistory_platforms_list/4","doc":"Returns list of platforms that are available for a given product. The resource \"product\" has no resource name in its name.","ref":"GoogleApi.VersionHistory.V1.Api.Platforms.html#versionhistory_platforms_list/4"},{"type":"function","title":"Parameters - GoogleApi.VersionHistory.V1.Api.Platforms.versionhistory_platforms_list/4","doc":"*   `connection` (*type:* `GoogleApi.VersionHistory.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The product, which owns this collection of platforms. Format: {product}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. Optional limit on the number of channels to include in the response. If unspecified, the server will pick an appropriate default.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A page token, received from a previous `ListChannels` call. Provide this to retrieve the subsequent page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.VersionHistory.V1.Api.Platforms.html#versionhistory_platforms_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.VersionHistory.V1.Api.Platforms.versionhistory_platforms_list/4","doc":"*   `{:ok, %GoogleApi.VersionHistory.V1.Model.ListPlatformsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.VersionHistory.V1.Api.Platforms.html#versionhistory_platforms_list/4-returns"},{"type":"module","title":"GoogleApi.VersionHistory.V1.Connection","doc":"Handle Tesla connections for GoogleApi.VersionHistory.V1.","ref":"GoogleApi.VersionHistory.V1.Connection.html"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.VersionHistory.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.VersionHistory.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.VersionHistory.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.VersionHistory.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.VersionHistory.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.VersionHistory.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.VersionHistory.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.VersionHistory.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.VersionHistory.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.VersionHistory.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.VersionHistory.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.VersionHistory.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.VersionHistory.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.VersionHistory.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.VersionHistory.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.VersionHistory.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.VersionHistory.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.VersionHistory.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.VersionHistory.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.VersionHistory.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.VersionHistory.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.VersionHistory.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.VersionHistory.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.VersionHistory.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.VersionHistory.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.VersionHistory.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.VersionHistory.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.VersionHistory.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.VersionHistory.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.VersionHistory.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.VersionHistory.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.VersionHistory.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.VersionHistory.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.VersionHistory.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.VersionHistory.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.VersionHistory.V1.Connection.t/0","doc":"","ref":"GoogleApi.VersionHistory.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.VersionHistory.V1.Model.Channel","doc":"Each Channel is owned by a Platform and owns a collection of versions. Possible Channels are listed in the Channel enum below. Not all Channels are available for every Platform (e.g. CANARY does not exist for LINUX).","ref":"GoogleApi.VersionHistory.V1.Model.Channel.html"},{"type":"module","title":"Attributes - GoogleApi.VersionHistory.V1.Model.Channel","doc":"*   `channelType` (*type:* `String.t`, *default:* `nil`) - Type of channel.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Channel name. Format is \"{product}/platforms/{platform}/channels/{channel}\"","ref":"GoogleApi.VersionHistory.V1.Model.Channel.html#module-attributes"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Model.Channel.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.VersionHistory.V1.Model.Channel.html#decode/2"},{"type":"type","title":"GoogleApi.VersionHistory.V1.Model.Channel.t/0","doc":"","ref":"GoogleApi.VersionHistory.V1.Model.Channel.html#t:t/0"},{"type":"module","title":"GoogleApi.VersionHistory.V1.Model.Interval","doc":"Represents a time interval, encoded as a Timestamp start (inclusive) and a Timestamp end (exclusive). The start must be less than or equal to the end. When the start equals the end, the interval is empty (matches no time). When both start and end are unspecified, the interval matches any time.","ref":"GoogleApi.VersionHistory.V1.Model.Interval.html"},{"type":"module","title":"Attributes - GoogleApi.VersionHistory.V1.Model.Interval","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. Exclusive end of the interval. If specified, a Timestamp matching this interval will have to be before the end.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. Inclusive start of the interval. If specified, a Timestamp matching this interval will have to be the same or after the start.","ref":"GoogleApi.VersionHistory.V1.Model.Interval.html#module-attributes"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Model.Interval.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.VersionHistory.V1.Model.Interval.html#decode/2"},{"type":"type","title":"GoogleApi.VersionHistory.V1.Model.Interval.t/0","doc":"","ref":"GoogleApi.VersionHistory.V1.Model.Interval.html#t:t/0"},{"type":"module","title":"GoogleApi.VersionHistory.V1.Model.ListChannelsResponse","doc":"Response message for ListChannels.","ref":"GoogleApi.VersionHistory.V1.Model.ListChannelsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.VersionHistory.V1.Model.ListChannelsResponse","doc":"*   `channels` (*type:* `list(GoogleApi.VersionHistory.V1.Model.Channel.t)`, *default:* `nil`) - The list of channels.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.","ref":"GoogleApi.VersionHistory.V1.Model.ListChannelsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Model.ListChannelsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.VersionHistory.V1.Model.ListChannelsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.VersionHistory.V1.Model.ListChannelsResponse.t/0","doc":"","ref":"GoogleApi.VersionHistory.V1.Model.ListChannelsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.VersionHistory.V1.Model.ListPlatformsResponse","doc":"Response message for ListPlatforms.","ref":"GoogleApi.VersionHistory.V1.Model.ListPlatformsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.VersionHistory.V1.Model.ListPlatformsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.\n*   `platforms` (*type:* `list(GoogleApi.VersionHistory.V1.Model.Platform.t)`, *default:* `nil`) - The list of platforms.","ref":"GoogleApi.VersionHistory.V1.Model.ListPlatformsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Model.ListPlatformsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.VersionHistory.V1.Model.ListPlatformsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.VersionHistory.V1.Model.ListPlatformsResponse.t/0","doc":"","ref":"GoogleApi.VersionHistory.V1.Model.ListPlatformsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.VersionHistory.V1.Model.ListReleasesResponse","doc":"Response message for ListReleases.","ref":"GoogleApi.VersionHistory.V1.Model.ListReleasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.VersionHistory.V1.Model.ListReleasesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.\n*   `releases` (*type:* `list(GoogleApi.VersionHistory.V1.Model.Release.t)`, *default:* `nil`) - The list of releases.","ref":"GoogleApi.VersionHistory.V1.Model.ListReleasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Model.ListReleasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.VersionHistory.V1.Model.ListReleasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.VersionHistory.V1.Model.ListReleasesResponse.t/0","doc":"","ref":"GoogleApi.VersionHistory.V1.Model.ListReleasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.VersionHistory.V1.Model.ListVersionsResponse","doc":"Response message for ListVersions.","ref":"GoogleApi.VersionHistory.V1.Model.ListVersionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.VersionHistory.V1.Model.ListVersionsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.\n*   `versions` (*type:* `list(GoogleApi.VersionHistory.V1.Model.Version.t)`, *default:* `nil`) - The list of versions.","ref":"GoogleApi.VersionHistory.V1.Model.ListVersionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Model.ListVersionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.VersionHistory.V1.Model.ListVersionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.VersionHistory.V1.Model.ListVersionsResponse.t/0","doc":"","ref":"GoogleApi.VersionHistory.V1.Model.ListVersionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.VersionHistory.V1.Model.Platform","doc":"Each Platform is owned by a Product and owns a collection of channels. Available platforms are listed in Platform enum below. Not all Channels are available for every Platform (e.g. CANARY does not exist for LINUX).","ref":"GoogleApi.VersionHistory.V1.Model.Platform.html"},{"type":"module","title":"Attributes - GoogleApi.VersionHistory.V1.Model.Platform","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Platform name. Format is \"{product}/platforms/{platform}\"\n*   `platformType` (*type:* `String.t`, *default:* `nil`) - Type of platform.","ref":"GoogleApi.VersionHistory.V1.Model.Platform.html#module-attributes"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Model.Platform.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.VersionHistory.V1.Model.Platform.html#decode/2"},{"type":"type","title":"GoogleApi.VersionHistory.V1.Model.Platform.t/0","doc":"","ref":"GoogleApi.VersionHistory.V1.Model.Platform.html#t:t/0"},{"type":"module","title":"GoogleApi.VersionHistory.V1.Model.Release","doc":"A Release is owned by a Version. A Release contains information about the release(s) of its parent version. This includes when the release began and ended, as well as what percentage it was released at. If the version is released again, or if the serving percentage changes, it will create another release under the version.","ref":"GoogleApi.VersionHistory.V1.Model.Release.html"},{"type":"module","title":"Attributes - GoogleApi.VersionHistory.V1.Model.Release","doc":"*   `fraction` (*type:* `float()`, *default:* `nil`) - Rollout fraction. This fraction indicates the fraction of people that should receive this version in this release. If the fraction is not specified in ReleaseManager, the API will assume fraction is 1.\n*   `fractionGroup` (*type:* `String.t`, *default:* `nil`) - Rollout fraction group. Only fractions with the same fraction_group are statistically comparable: there may be non-fractional differences between different fraction groups.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Release name. Format is \"{product}/platforms/{platform}/channels/{channel}/versions/{version}/releases/{release}\"\n*   `pinnable` (*type:* `boolean()`, *default:* `nil`) - Whether or not the release was available for version pinning.\n*   `serving` (*type:* `GoogleApi.VersionHistory.V1.Model.Interval.t`, *default:* `nil`) - Timestamp interval of when the release was live. If end_time is unspecified, the release is currently live.\n*   `version` (*type:* `String.t`, *default:* `nil`) - String containing just the version number. e.g. \"84.0.4147.38\"","ref":"GoogleApi.VersionHistory.V1.Model.Release.html#module-attributes"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Model.Release.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.VersionHistory.V1.Model.Release.html#decode/2"},{"type":"type","title":"GoogleApi.VersionHistory.V1.Model.Release.t/0","doc":"","ref":"GoogleApi.VersionHistory.V1.Model.Release.html#t:t/0"},{"type":"module","title":"GoogleApi.VersionHistory.V1.Model.Version","doc":"Each Version is owned by a Channel. A Version only displays the Version number (e.g. 84.0.4147.38). A Version owns a collection of releases.","ref":"GoogleApi.VersionHistory.V1.Model.Version.html"},{"type":"module","title":"Attributes - GoogleApi.VersionHistory.V1.Model.Version","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Version name. Format is \"{product}/platforms/{platform}/channels/{channel}/versions/{version}\" e.g. \"chrome/platforms/win/channels/beta/versions/84.0.4147.38\"\n*   `version` (*type:* `String.t`, *default:* `nil`) - String containing just the version number. e.g. \"84.0.4147.38\"","ref":"GoogleApi.VersionHistory.V1.Model.Version.html#module-attributes"},{"type":"function","title":"GoogleApi.VersionHistory.V1.Model.Version.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.VersionHistory.V1.Model.Version.html#decode/2"},{"type":"type","title":"GoogleApi.VersionHistory.V1.Model.Version.t/0","doc":"","ref":"GoogleApi.VersionHistory.V1.Model.Version.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}